module Text.CxML.Tags where

import Text.CxML.Types

-- |  combinator to create tags
tag ::  String->CxML a
tag nm  = CxML (\_-> [HTag nm [] []],
                 [] ,
                 [] ,
                 [])

-- used to be with no children but don't distinguish now
itag ::  String-> CxML a
itag = tag 

---------------------------------------------------------
-----Modified from module Text.XHtml.Strict.Elements-----
---------------------------------------------------------

abbr                =  tag "abbr"
acronym             =  tag "acronym"
address             =  tag "address"
a              =  tag "a"
area                = itag "area"
bdo                 =  tag "bdo"
big                 =  tag "big"
blockquote          =  tag "blockquote"
body                =  tag "body"
bold                =  tag "b"
button              =  tag "button"
br                  = itag "br"
caption             =  tag "caption"
cite                =  tag "cite"
col                 =  tag "col"
colgroup            =  tag "colgroup"
dd                =  tag "dd"
dfn              =  tag "dfn"
del                 =  tag "del"
dl               =  tag "dl"
dt               =  tag "dt"
em           =  tag "em"
fieldset            =  tag "fieldset"
form                =  tag "form"
h1                  =  tag "h1"
h2                  =  tag "h2"
h3                  =  tag "h3"
h4                  =  tag "h4"
h5                  =  tag "h5"
h6                  =  tag "h6"
header              =  tag "head"
hr                  = itag "hr"
image               = itag "img"
input               = itag "input"
ins                 =  tag "ins"
italics             =  tag "i"
keyboard            =  tag "kbd"
label               =  tag "label"
legend              =  tag "legend"
li                  =  tag "li"
meta                = itag "meta"
noscript            =  tag "noscript"
object              =  tag "object"
ol               =  tag "ol"
optgroup            =  tag "optgroup"
option              =  tag "option"
p           =  tag "p"
param               = itag "param"
pre                 =  tag "pre"
quote               =  tag "q"
sample              =  tag "samp"
script              =  tag "script"
dropdown            =  tag "select"
small               =  tag "small"
strong              =  tag "strong"
style               =  tag "style"
sub                 =  tag "sub"
sup                 =  tag "sup"
table               =  tag "table"
tbody               =  tag "tbody"
td                  =  tag "td"
textarea            =  tag "textarea"
tfoot               =  tag "tfoot"
th                  =  tag "th"
thead               =  tag "thead"
base             = itag "base"
code             =  tag "code"
div              =  tag "div"
html             =  tag "html"
link             =  tag "link"
themap              =  tag "map"
span             =  tag "span"
title            =  tag "title"
tr                  =  tag "tr"
tt                  =  tag "tt"
ul               =  tag "ul"
var            =  tag "var"
font                =  tag "font"
